import { Button, notification } from "antd";
import Axios from "axios";
import React, { useState } from "react";
import { useTranslation } from "react-i18next";

export default function JobCalculateTotals({ job, disabled, refetch }) {
  const { t } = useTranslation();
  const [loading, setLoading] = useState(false);

  const handleCalculate = async () => {
    try {
      setLoading(true);

      await Axios.post("/job/totalsssu", {
        id: job.id
      });

      if (refetch) refetch();
      // const result = await updateJob({
      //   refetchQueries: ["GET_JOB_BY_PK"],
      //   awaitRefetchQueries: true,
      //   variables: {
      //     jobId: job.id,
      //     job: {
      //       job_totals: newTotals,
      //       clm_total: Dinero(newTotals.totals.total_repairs).toFormat("0.00"),
      //       owner_owing: Dinero(newTotals.totals.custPayable.total).toFormat(
      //         "0.00"
      //       ),
      //     },
      //   },
      // });
      // if (!!!result.errors) {
      //   notification["success"]({ message: t("jobs.successes.updated") });
      // } else {
      //   notification["error"]({
      //     message: t("jobs.errors.updating", {
      //       error: JSON.stringify(result.errors),
      //     }),
      //   });
      // }
    } catch (error) {
      notification["error"]({
        message: t("jobs.errors.updating", {
          error: JSON.stringify(error)
        })
      });
    } finally {
      setLoading(false);
    }
  };

  return (
    <div>
      <Button loading={loading} onClick={handleCalculate} disabled={disabled}>
        {t("jobs.actions.recalculate")}
      </Button>
    </div>
  );
}
